%if 0%{?fedora}
%global with_python3 1
%global with_doc 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%global with_python3 0
##Unfortunately, Sphinx-0.6.6 is not compatible
%global with_doc 0
%global python2_version 2.6
%endif

%if 0%{?rhel} && 0%{?rhel} > 6
%global with_python3 0
%global with_doc 1
%endif

%global pname usbtmc

Name: python-%{pname}
Version: 0.8
Release: 1%{?dist}
Summary: Python implementation of the USBTMC protocol
License: MIT
URL: http://alexforencich.com/wiki/en/python-%{pname}/start
Source0: https://github.com/python-ivi/python-%{pname}/archive/v%{version}.tar.gz#/python-%{pname}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python2-devel, python-setuptools
BuildRequires: numpy, python-sphinx, pyusb
Requires: pyusb

%description
Python USBTMC is a Python implementation of the
USBTMC instrument control protocol.

%package -n python2-%{pname}
Summary:  Python implementation of the USBTMC protocol
%{?python_provide:%python_provide python2-%{pname}}

%description -n python2-%{pname}
Python USBTMC is a Python implementation of the
USBTMC instrument control protocol.

%if 0%{?with_python3}
%package -n python3-%{pname}
Summary: Python implementation of the USBTMC protocol
%{?python_provide:%python_provide python3-%{pname}}

BuildRequires: python3-devel, python3-setuptools
BuildRequires: python3-numpy, python3-pyusb
Requires:  python3-pyusb

%description -n python3-%{pname}
Python USBTMC is a Python implementation of the
USBTMC instrument control protocol.
%endif # with_python3

%if 0%{?with_doc}
%package doc
Summary: HTML documentation of Python USBTMC

%description doc
HTML documentation of Python USBTMC.
%endif

%prep
%setup -qc
mv python-%{pname}-%{version} python2

%if 0%{?with_python3}
cp -a python2 python3
%endif # with_python3

%build
pushd python2
CFLAGS="%{optflags}" %{__python2} setup.py build --executable="%{__python2} -s"
popd

%if 0%{?with_python3}
pushd python3
CFLAGS="%{optflags}" %{__python3} setup.py build --executable="%{__python3} -s"
popd
%endif # with_python3

%install
pushd python2
CFLAGS="%{optflags}" %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd

%if 0%{?with_python3}
pushd python3
CFLAGS="%{optflags}" %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%if 0%{?with_doc}
make man html -C python2/doc 
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 python2/doc/_build/man/python%{pname}.1 %{buildroot}%{_mandir}/man1
rm -rf python2/doc/_build/html/.buildinfo
%endif

%files -n python2-%{pname}
%{!?_licensedir:%global license %doc}
%doc python2/README.md python2/AUTHORS
%license python2/COPYING
%{python2_sitelib}/%{pname}/
%{python2_sitelib}/*.egg-info/
%if 0%{?with_doc}
%{_mandir}/man1/*
%endif

%if 0%{?with_python3}
%files -n python3-%{pname}
%{!?_licensedir:%global license %doc}
%doc python3/README.md python3/AUTHORS
%license python3/COPYING
%{python3_sitelib}/%{pname}/
%{python3_sitelib}/*.egg-info/
%if 0%{?with_doc}
%{_mandir}/man1/*
%endif
%endif

%if 0%{?with_doc}
%files doc
%{!?_licensedir:%global license %doc}
%doc python2/README.md python2/AUTHORS python2/doc/_build/html
%license python2/COPYING
%endif

%changelog
* Tue Nov 21 2017 Antonio Trande <sagitterATfedoraproject.org> - 0.8-1
- Update to 0.8

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7-5
- Rebuild for Python 3.6

* Wed Aug 17 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.7-4
- Rebuild for Python 3.5.2

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.7-1
- Update to 0.7

* Sat Jan 09 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.6-2
- License modified to MIT
- Fixed python2 package

* Fri Dec 25 2015 Antonio Trande <sagitterATfedoraproject.org> - 0.6-1
- initial build
